Requires write_content access scope.
For more info, refer to:
GET https://{handle}.myshopline.com/admin/openapi/v20261201/redirects/redirect.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Query redirection list
Query Parameters
  • limit integer
    Specify return number of results , default value is 50
    Example: 50
  • path string
    The source path to be redirected.
    Example: /products/A
  • since_id string
    The specify specifically redirect the id , return all the redirect results after the id , non-required
    Example: 62f372efcb98825e786f4196
  • target string
    The target path where the user will be redirected.
    Example: /products/B
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • redirectsobject[]
    Redirect information
  • id string
    redirect id
    Example: 62f372efcb98825e786f4196
  • path string
    The source path to be redirected.
    Example: /products/A
  • target string
    The target path where the user will be redirected.
    Example: /products/B
  • updated_at string
    update time
    Example: 2021-08-31T02:20:26+08:00
  • create_at string
    create time
    Example: 2021-08-31T02:20:26+08:00
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

header required
query
query
query
query

Language

curl --request GET \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/redirects/redirect.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Examples
Query redirect listing-specify path
Response
{
"redirects": [
{
"create_at": "2022-12-26T15:59:47+08:00",
"id": "63a95473609552261f00942c",
"path": "/products/A",
"target": "/products/B",
"updated_at": "2022-12-26T16:22:33+08:00"
}
]
}
Was this article helpful to you?